Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.forwarding
Class ForwardingChannelImpl

    java.lang.Object
      com.sshtools.j2ssh.forwarding.ForwardingChannelImpl

All Implemented Interfaces:
  ForwardingChannel

public class ForwardingChannelImpl
extends java.lang.Object
implements ForwardingChannel

DOCUMENT ME!

Field Summary

Fields inherited from interface com.sshtools.j2ssh.forwarding.ForwardingChannel
`LOCAL_FORWARDING_CHANNEL, REMOTE_FORWARDING_CHANNEL, X11_FORWARDING_CHANNEL`

Constructor Summary
`ForwardingChannelImpl(java.lang.String forwardType, java.lang.String hostToConnectOrBind, int portToConnectOrBind, java.lang.String originatingHost, int originatingPort)` Creates a new ForwardingChannelImpl object.

Method Summary
`byte[]` | `getChannelConfirmationData()` DOCUMENT ME!
`byte[]` | `getChannelOpenData()` DOCUMENT ME!
`java.lang.String` | `getChannelType()` DOCUMENT ME!
`java.lang.String` | `getHostToConnectOrBind()` DOCUMENT ME!
`java.lang.String` | `getOriginatingHost()` DOCUMENT ME!
`int` | `getOriginatingPort()` DOCUMENT ME!
`int` | `getPortToConnectOrBind()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForwardingChannelImpl

    public ForwardingChannelImpl(java.lang.String forwardType,
                                 java.lang.String hostToConnectOrBind,
                                 int portToConnectOrBind,
                                 java.lang.String originatingHost,
                                 int originatingPort)
                          throws ForwardingConfigurationException

  Creates a new ForwardingChannelImpl object.

Parameters:
  `forwardType` - DOCUMENT ME!
  `hostToConnectOrBind` - DOCUMENT ME!
  `portToConnectOrBind` - DOCUMENT ME!
  `originatingHost` - DOCUMENT ME!
  `originatingPort` - DOCUMENT ME!
Throws:
  `ForwardingConfigurationException` - DOCUMENT ME!

Method Detail

### getHostToConnectOrBind

    public java.lang.String getHostToConnectOrBind()

  DOCUMENT ME!

  Specified by:
    `getHostToConnectOrBind` in interface `ForwardingChannel`
  Returns:
    DOCUMENT ME!

### getPortToConnectOrBind

    public int getPortToConnectOrBind()

  DOCUMENT ME!

  Specified by:
    `getPortToConnectOrBind` in interface `ForwardingChannel`
  Returns:
    DOCUMENT ME!

### getChannelOpenData

    public byte[] getChannelOpenData()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getChannelConfirmationData

    public byte[] getChannelConfirmationData()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getChannelType

    public java.lang.String getChannelType()

  DOCUMENT ME!

  Specified by:
    `getChannelType` in interface `ForwardingChannel`
  Returns:
    DOCUMENT ME!

### getOriginatingHost

    public java.lang.String getOriginatingHost()

  DOCUMENT ME!

  Specified by:
    `getOriginatingHost` in interface `ForwardingChannel`
  Returns:
    DOCUMENT ME!

### getOriginatingPort

    public int getOriginatingPort()

  DOCUMENT ME!

  Specified by:
    `getOriginatingPort` in interface `ForwardingChannel`
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD